Subject: bug#21188: closed (Re: bug#21188: Preview installed from the package manager changes LaTeX-mode-hook)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Aug 2015 05:12:03 +0000

Your bug report

#21188: Preview installed from the package manager changes LaTeX-mode-hook

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21188: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21188
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21188: Preview installed from the package manager changes LaTeX-mode-hook
From: Tassilo Horn <[email-masked]>
To: Joseph Mingrone <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 10 Aug 2015 07:11:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Joseph Mingrone <[email-masked]> writes:

Hi Joseph,

>> I've just released GNU AUCTeX 11.88.7 on ELPA, and the problem should
>> be fixed now.  Please test and report back if if works now.
>
> I can confirm that your changes solve the problem for me.

Great, thanks for testing!

Bye,
Tassilo

Subject: Re: Preview installed from the package manager changes LaTeX-mode-hook
From: Joseph Mingrone <[email-masked]>
To: Tassilo Horn <[email-masked]>
Cc: César Asensio <[email-masked]>, [email-masked]
Date: Tue, 04 Aug 2015 15:25:14 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Tassilo Horn <[email-masked]> writes:

> César Asensio <[email-masked]> writes:

> Hi César,

>> I'm a longtime AUCTeX user, and I've never felt the need of using
>> Preview in my daily LaTeX editing.  Prior to the inclusion of AUCTeX
>> in the Emacs package manager there was the possibility of loading
>> AucTeX and Preview separately, but now they are both loaded
>> automatically.  This in itself would be harmless if not for Preview
>> changing the variable `LaTeX-mode-hook' *after* the init file
>> settings.

> I don't see why that's a problem.  Could you please elaborate a bit?

I know this is an old post, but the problem, in my view, still exists.

AUTeX provides for customization for LaTeX-mode-hook, but inside the
function LaTeX-preview-setup in preview.el, it overwrites the value with
(remove-hook 'LaTeX-mode-hook #'LaTeX-preview-setup) (add-hook
'LaTeX-mode-hook #'preview-mode-setup).

Joseph